Thursday last week, we cut a maintenance release of Geocortex IMF. Version 5.2.1 contains a number of bug fixes and ensures compatibility with ArcIMS 9.2 SP4 and SP5.

If you're using Geocortex IMF with ArcMap Image Server based Map Services, you'll definitely want to get a hold of this release.

Geocortex IMF 5.2.1 is our second product release (following Geocortex Essentials 1.3) available on our new Geocortex Support Center (BETA). Send an email to software@latitudegeo.com with subject line "IMF Support Center Account Request" to request an account.